/***************************************************************************
                          mainscreen.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAINSCREEN_H
#define MAINSCREEN_H

#include "menu.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Auriferous;
class Timer;
class Button;
class Submenu;

class Mainscreen
{
public: 
	Mainscreen(Auriferous* _app);
	~Mainscreen();
	
	void actshowall();
	bool quited();
	void draw_main_screen();
	void draw_effect();

	void new_editor();
	void draw_screen();
	void intro();
	void Help();
	void Story();
	void Credits();

private:

	Button* editor;
	Button* config;
	Button* credits;
	Button* help;
	Button* quit;
	Button* game;
	Button* game2;
	Button* story;	
	Auriferous* app;
	Submenu* submenu;
	Timer* timer;
	Timer* etimer;

	bool is_quit, up;
	int e_count, e_scroll;
	int scr_t, fn;
	int scroll_y, scroll_c;
};

#endif
