/***************************************************************************
                          maptile_door.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAPTILE_DOOR_H
#define MAPTILE_DOOR_H

#include "maptile.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Sprite;

class Maptile_door : public Maptile
{
public:
	Maptile_door(int _x, int _y, int _dt, WorldType _wt, Map* _map);
	~Maptile_door();

	void show();
	void act();

	void unlock();

private:

	bool locked;
	Sprite* sprite;
};

#endif
